//*****************************************************************************
//
// File:          next_audio.h
// Purpose:       Header file for StreamPlay class.
// Author:        Peter Velikonja, modified by Michael Edwards.
// Date:          January 15th 1996 
// Last revision: None
//
//*****************************************************************************

#import <soundkit/NXSoundOut.h>
#import <soundkit/NXSoundDevice.h>
#import <soundkit/NXSoundStream.h>
#import <soundkit/NXPlayStream.h>
#import <objc/Object.h>
#import <dpsclient/dpsNeXT.h>


//*****************************************************************************

@interface StreamPlay: Object
{
    id device;
    id stream;
    int samplesToPlay;
    int sampleCount;
    int samplesPlayed;
    BOOL isPlaying;
    double sr;
    int nchans;
}


//*****************************************************************************

- init;
- free;
- (BOOL) setStreamDevice:(id) d;
- setSamplingRate:(double)_sr channelCount:(int)_nchans;
- loadBuffer:(short *)b size:(int)nsamples;
- start;
- (BOOL) isPlaying;

// Methods called by the delegate 
- soundStream:sender didStartBuffer:(int)tag;
- soundStreamDidAbort:sender deviceReserved:(BOOL) flag;
- soundStreamDidPause:sender;
- soundStreamDidResume:sender;
- soundStreamDidUnderrun:sender;
@end


//*****************************************************************************

// EOF next_audio.h

